/*
 * Copyright (c) 1996 Nihon Sun Microsystems K.K.
 *
 * Permission to use, copy, and distribute this software for
 * NON-COMMERCIAL purposes and without fee is hereby granted
 * provided that this copyright notice appears in all copies.
 *
 */

package COM.Sun.Japan.yjs.mwt;

import java.awt.*;

public class SimpleImageCanvas extends Canvas {

    private Image image;

    public SimpleImageCanvas() {
	super();
    }

    public void setImage(Image image) {
	this.image = image;
	repaint();
    }

    public void paint(Graphics g) {
	g.drawImage(image, 0, 0, this);
    }
}
