import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.Statement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Date;

public class HelloJDBC {
    public static void main(String[] arg) {
        Connection conn = null;
        Statement stmt = null;
        ResultSet rs = null;
        // DB ւ̐ڑ
        try {
            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
        } catch(ClassNotFoundException ex) {
            System.err.println("ERROR: Could not find the specified JDBC Driver");
            ex.printStackTrace();
            System.exit(1);
        }
        try {
            conn = DriverManager.getConnection("jdbc:odbc:hellodb",
                                               "hellouser",
                                               "hellopwd");
        } catch(SQLException ex) {
            System.err.println("ERROR: Could not open DB connection.");
            ex.printStackTrace();
            System.exit(1);
        }
        // ̎sƌʂ̎󂯎
        try {
            stmt = conn.createStatement();
            rs = stmt.executeQuery("SELECT name, age, birth_date, comment FROM hello");
        } catch (SQLException ex) {
            System.err.println("ERROR: Could not execute the specified SQL statement.");
            ex.printStackTrace();
            System.exit(1);
        }
        // ʂ̕\
        try {
            String name, comment;
            Date birth_date;
            int age;
            while (rs.next()) {
                name = rs.getString("name");
                age = rs.getInt("age");
                birth_date = rs.getDate("birth_date");
                comment = rs.getString("comment");
                System.out.println(name + ":" +
                                   age + ":" +
                                   birth_date + ":" +
                                   comment);
            }
        } catch (SQLException ex) {
            System.err.println("ERROR: Could not get result value.");
            ex.printStackTrace();
            System.exit(1);
        }
    }
}
