/*
 * Copyright (c) 1996 Nihon Sun Microsystems K.K.
 *
 * Permission to use, copy, and distribute this software for
 * NON-COMMERCIAL purposes and without fee is hereby granted
 * provided that this copyright notice appears in all copies.
 *
 */

import java.awt.Image;
import java.awt.Dimension;
import java.awt.Point;

/**
 * f[^x[X̃IuWFNgɑΉ钊ۃNXB Ƃ΁A
 * e[uAr[ȂǁB
 *
 * @version     1.1 97/01/09
 * @author      Tadayoshi Maekawa, Nihon Sun Microsystems K.K.
 */
public abstract class DatabaseObject extends Object {
    /**
     * IuWFNg`掞̈ʒuB
     */
    Point location;

    /**
     * IuWFNg̃TCYB
     */
    Dimension dimension;

    /**
     * IuWFNg̃C[WB
     */
    Image objectImage;

    /**
     * IuWFNǵ̖B
     */
    String name;

    /**
     * ftHgERXgN^B
     */
    public DatabaseObject() {
        this(null);
    }

    /**
     * ̂ɎRXgN^B
     * @param name specified name
     */
    public DatabaseObject(String name) {
        this.name = name;
        location = new Point(0, 0);
        dimension = new Dimension(0, 0);
        generateObjectImage();
    }

    /**
     * ̂ԂB
     */
    public String getName() {
        return name;
    }

    /**
     * ʒuԂB
     */
    public Point getLocation() {
        return location;
    }

    /**
     * C[WԂB
     */
    public Image getObjectImage() {
        return objectImage;
    }

    /**
     * TCYԂB
     */
    public Dimension getSize() {
        return dimension;
    }

    /**
     * IuWFNg̈ʒuړB
     * @param x V x W
     * @param y V y W
     */
    public void setLocation(int x, int y) {
        location.x = x;
        location.y = y;
    }

    /**
     * x Ay ʒuɎAIuWFNgɂ邩ǂ𔻒肷B
     * @param x x W
     * @param y y W
     */
    public abstract boolean onObject(int x, int y);

    /**
     * IuWFNgp̃C[W[hB
     */
    protected abstract void generateObjectImage();
}
