

public class JDBCTerminal {

    MainFrame mainFrame;
    StatementFrame statementFrame;
    LogFrame logFrame;
    AddDriverDialog addDriverDialog;

    public JDBCTerminal() {
	logFrame = new LogFrame();
	mainFrame = new MainFrame(this);
 	statementFrame = new StatementFrame(this);
	addDriverDialog = new AddDriverDialog(this);
    }

    public MainFrame getMainFrame() {
	return mainFrame;
    }

    public StatementFrame getStatementFrame() {
	return statementFrame;
    }

    public LogFrame getLogFrame() {
	return logFrame;
    }

    public AddDriverDialog getAddDriverDialog() {
	return addDriverDialog;
    }

    public static void main(String[] args) {
	new JDBCTerminal();
	return;
    }
}
