/*
 * Copyright (c) 1996 Nihon Sun Microsystems K.K.
 *
 * Permission to use, copy, and distribute this software for
 * NON-COMMERCIAL purposes and without fee is hereby granted
 * provided that this copyright notice appears in all copies.
 *
 */

import java.sql.*;
import java.awt.*;
import java.awt.event.*;
import COM.Sun.Japan.yjs.mwt.*;

/**
 * JDBCTerminal OEt[ GUI
 * @version	%I% %E%
 * @author 	Yuichi Omata, Nihon Sun Microsystems K.K.
 */
public class LogFrameGUI extends Frame implements WindowListener {

    LogTextArea logArea;

    public LogFrameGUI(){
	addWindowListener(this);

	setTitle("JDBCTerminal: Log Window");
	setSize(new Dimension(400, 300));
	setLocation(new Point(100, 100));
	setLayout(new BorderLayout());

	logArea = new LogTextArea();
	logArea.setEditable(false);
	add(logArea, "Center");
    }


    public void windowClosing(WindowEvent ev){
	setVisible(false);
        DriverManager.setLogStream(null);
    }

    public void windowClosed(WindowEvent ev) {}
    public void windowDeiconified(WindowEvent ev) {}
    public void windowIconified(WindowEvent ev) {}
    public void windowOpened(WindowEvent ev) {}
}
