/*
 * Copyright (c) 1996 Nihon Sun Microsystems K.K.
 *
 * Permission to use, copy, and distribute this software for
 * NON-COMMERCIAL purposes and without fee is hereby granted
 * provided that this copyright notice appears in all copies.
 *
 */

package COM.Sun.Japan.yjs.mwt;

import java.awt.*;

/**
 * xt̃XgB
 *
 * @version	1.1 96/12/28
 * @author 	 T
 */
public class LabeledList extends LabeledComponent {

    /**
     * xt郊Xg
     */
    List list;

    /**
     * ̃x𐶐XgƌтB
     * @param list xt郊Xg
     */
    public LabeledList(List list) {
	this(list, "", "ON_LEFT");
    }

    /**
     * w肵񂩂烉x𐶐XgƌтB
     * @param list xt郊Xg
     * @param text x̕
     */
    public LabeledList(List list, String text) {
        this(list, text, "ON_LEFT");
    }

    /**
     * w肵񂩂烉x𐶐AXg̎w肵ʒu
     * тB
     * @param list xt郊Xg
     * @param text x̕
     * @param alignment x̎wʒu
     */
    public LabeledList(List list, String text, String alignment) {
	this(list, new Label(text), alignment);
    }

    /**
     * w肵񂩂烉x𐶐AXg̎w肵ʒu
     * тB
     * @param lines Xg̍s
     * @param multi I[h
     * @param alignment x̎wʒu
     */
    public LabeledList(int lines, boolean multi, String text, String alignment) {
	this(new List(lines, multi), new Label(text), alignment);
    }

    /**
     * w肵s̃XgƎw肵
     * x𐶐Aw肵ʒuɌтB
     * @param lines Xg̍s
     * @param text x̕
     * @param alignment x̎wʒu
     */
    public LabeledList(int lines, String text, String alignment) {
	this(new List(lines), new Label(text), alignment);
    }

    /**
     * xXg̎w肵ʒuɌтB
     * @param list xt郊Xg
     * @param text x̕
     * @param alignment x̎wʒu
     */
    public LabeledList(List list, Label label, String alignment) {
	super(list, label, alignment);

	this.list = list;

	return;
    }

    /**
     * x擾B
     */
    public Label getLabel() {
	return label;
    }

    /**
     * Xg擾B
     */
    public List getList() {
	return list;
    }

}
